package cn.com.qmth.scancentral.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;

import cn.com.qmth.scancentral.bean.User;
import cn.com.qmth.scancentral.controller.BaseController;
import cn.com.qmth.scancentral.service.ExamService;
import cn.com.qmth.scancentral.vo.auditor.AuditorOverview;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "审核员管理接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/auditor/admin")
@Aac(strict = false, auth = true)
public class AuditorController extends BaseController {

    @Autowired
    private ExamService examService;

    @ApiOperation(value = "考试概览数据")
    @RequestMapping(value = "/overview", method = RequestMethod.POST)
    public AuditorOverview overview(@RequestParam Long examId) {
        User user = getAccessUser();
        return examService.getAuditorOverview(examId, user);
    }

}